# Hosting
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: minio-console
  namespace: minio-operator
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    ## basic auth for index
    # type of authentication
    #nginx.ingress.kubernetes.io/auth-type: basic
    # name of the secret that contains the user/password definitions
    #nginx.ingress.kubernetes.io/auth-secret: basic-auth
    # message to display with an appropriate context why the authentication is required
    #nginx.ingress.kubernetes.io/auth-realm: 'Authentication Required - Jupyterhub'
spec:
  tls:
  - hosts:
    - minio-console.monkeybox.org
    secretName: minio-console-tls
  rules:
  - host: minio-console.monkeybox.org
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: microk8s-console
            port:
              number: 9090
